// Global font
body,
button,
input,
select,
textarea {
  font-family: $dmsans, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen-Sans, Ubuntu,
    Cantarell, 'Helvetica Neue', sans-serif !important;
  color: $grey900;
  font-smooth: always;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

// Titles

%text-main-title {
  font-weight: bold;
  font-size: 32px;
  line-height: 32px;
}

.text-main-title {
  @extend %text-main-title;
}

.main-title {
  @extend %text-main-title;
  margin: 16px 0 32px;
}

%text-main-subtitle {
  font-size: 16px;
  font-weight: normal;
  font-stretch: normal;
  font-style: normal;
  line-height: 1.5;
  letter-spacing: normal;
  color: $grey900;
}

.text-main-subtitle {
  @extend %text-main-subtitle;
}

.main-subtitle {
  @extend %text-main-subtitle;
  margin-top: 8px;
}

%text-secondary-title {
  font-weight: bold;
  font-size: 24px;
  line-height: 28px;
}

.text-secondary-title {
  @extend %text-secondary-title;
}

.secondary-title {
  @extend %text-secondary-title;
  margin: 64px 0 32px;

  &.is-first {
    margin-top: 0;
  }
}

%text-section-title {
  font-size: 16px;
  font-weight: bold;
  line-height: 20px;
}

.text-section-title {
  @extend %text-section-title;
}

.section-title {
  @extend %text-section-title;
  margin: 32px 0 16px;
}

// Texts and paragraphs

%text1 {
  font-size: 14px;
  line-height: 20px;
  color: $grey900;
}

.text1 {
  @extend %text1;
}

.paragraph1 {
  @extend %text1;
  margin-left: 0px;
  margin-top: 8px;
  margin-bottom: 8px;
}

%text2 {
  font-size: 12px;
  line-height: 16px;
  color: $grey900;
}

.text2 {
  @extend %text2;
}

.paragraph2 {
  @extend %text2;
  margin-left: 0px;
  margin-top: 8px;
  margin-bottom: 8px;
}

%text3 {
  font-size: 10px;
  line-height: 16px;
  color: $grey900;
}

.text3 {
  @extend %text3;
}

.paragraph3 {
  @extend %text3;
  margin-left: 0px;
}

// marginless-top for titles and paragraphs
.main-title,
.secondary-title,
.section-title {
  &.is-marginless-top {
    margin-top: 0;
  }
}

// Others

.label {
  font-size: inherit;
}

.kpi-number {
  font-size: 32px;
  line-height: 32px;
  color: $grey900;
}

.navigation-item {
  font-size: 16px;
  line-height: 24px;
  color: $grey900;
}

%cta {
  font-size: 16px;
  line-height: 24px;
  font-weight: bold;
  color: $grey900;
}

.cta {
  @extend %cta;
}

::selection {
  background: $grey200; /* WebKit/Blink Browsers */
  color: $grey900;
}
::-moz-selection {
  background: $grey200; /* Gecko Browsers */
  color: $grey900;
}
